> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v2/monitoring/circuits/visualization

## OpenAPI

````json POST /v2/monitoring/circuits/visualization
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v2/monitoring/circuits/visualization": {
      "post": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/v2MonitoringCircuitsVisualizationPostRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v2MonitoringCircuitsVisualizationPostResponse"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "v2MonitoringCircuitsVisualizationPostRequest": {
        "type": "object",
        "properties": {
          "deviceId": {
            "type": "integer",
            "format": "int64",
            "example": 12345678910,
            "minimum": 0
          },
          "selectors": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/statsmonV2TwampVisualSelector"
            }
          },
          "timeWindow": {
            "$ref": "#/components/schemas/statsmonV2TimeWindow"
          }
        },
        "additionalProperties": false
      },
      "v2MonitoringCircuitsVisualizationPostResponse": {
        "type": "object",
        "properties": {
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/v2MonitoringCircuitsVisualizationPostResponseData"
            }
          },
          "hostname": {
            "type": "string",
            "example": "example string",
            "description": "hostname of the device."
          }
        },
        "additionalProperties": false
      },
      "statsmonV2TwampVisualSelector": {
        "type": "object",
        "properties": {
          "circuitName": {
            "type": "string",
            "example": "example string"
          },
          "coreLocation": {
            "type": "string",
            "example": "example string"
          },
          "type": {
            "type": "string",
            "example": "ENUM_VALUE"
          }
        },
        "additionalProperties": false
      },
      "statsmonV2TimeWindow": {
        "type": "object",
        "properties": {
          "bucketSizeSec": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "oldTs": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          },
          "recentTs": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          }
        },
        "additionalProperties": false
      },
      "v2MonitoringCircuitsVisualizationPostResponseData": {
        "type": "object",
        "properties": {
          "samples": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/statsmonV2StatsSample"
            }
          },
          "selector": {
            "$ref": "#/components/schemas/statsmonV2TwampVisualSelector"
          }
        },
        "additionalProperties": false
      },
      "googleProtobufTimestamp": {
        "type": "object",
        "properties": {
          "nanos": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "seconds": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          }
        },
        "additionalProperties": false
      },
      "statsmonV2StatsSample": {
        "type": "object",
        "properties": {
          "status": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "ts": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          },
          "value": {
            "type": "number",
            "format": "double",
            "example": 123.45
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

